apiVersion: v1
kind: PersistentVolume
metadata:
  name: nfs-imedx3-imed-image-folder-pv
  labels:
    name: nfs-imedx3-imed-image-folder-pv
    owner: Nitichai
    version: "1.0"
    module: PV
    environment: Production
spec:
  capacity:
    storage: 200Gi
  storageClassName: ""
  accessModes:
    - ReadWriteMany
  nfs:
    server: 192.168.110.106
    path: "/var/nfsshare/iMedX/deployments/imed-image-folder.war"
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: nfs-imedx3-outlab-pv
  labels:
    name: nfs-imedx3-outlab-pv
    owner: Nitichai
    version: "1.0"
    module: PV
    environment: Production
spec:
  capacity:
    storage: 200Gi
  storageClassName: ""
  accessModes:
    - ReadWriteMany
  nfs:
    server: 192.168.110.106
    path: "/var/nfsshare/iMedX/deployments/outlab.war"
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: nfs-imedx3-imed-form-pv
  labels:
    name: nfs-imedx3-imed-form-pv
    owner: Nitichai
    version: "1.0"
    module: PV
    environment: Production
spec:
  capacity:
    storage: 200Gi
  storageClassName: ""
  accessModes:
    - ReadWriteMany
  nfs:
    server: 192.168.110.106
    path: "/var/nfsshare/iMedX/deployments/imed-form.war"
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: nfs-imedx3-conf-pv
  labels:
    name: nfs-imedx3-conf-pv
    owner: Nitichai
    version: "1.0"
    module: PV
    environment: Production
spec:
  capacity:
    storage: 20Gi
  storageClassName: ""
  accessModes:
    - ReadWriteMany
  nfs:
    server: 192.168.110.106
    path: "/var/nfsshare/iMedX/configuration"
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: nfs-imedx3-config-pv
  labels:
    name: nfs-imedx3-config-pv
    owner: Nitichai
    version: "1.0"
    module: PV
    environment: Production
spec:
  capacity:
    storage: 200Gi
  storageClassName: ""
  accessModes:
    - ReadWriteMany
  nfs:
    server: 192.168.110.106
    path: "/var/nfsshare/iMedX/bin"
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: nfs-imedx3-print-pv
  labels:
    name: nfs-imedx3-print-pv
    owner: Nitichai
    version: "1.0"
    module: PV
    environment: Production
spec:
  capacity:
    storage: 20Gi
  storageClassName: ""
  accessModes:
    - ReadWriteMany
  nfs:
    server: 192.168.110.106
    path: "/var/nfsshare/iMedX/iMedConf"
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nfs-imedx3-imed-image-folder-pvc
  labels:
    name: nfs-imedx3-imed-image-folder-pvc
    owner: Nitichai
    version: "1.0"
    module: PVC
    environment: Production
spec:
  accessModes:
    - ReadWriteMany
  storageClassName: ""
  resources:
    requests:
      storage: 10Gi
  selector:
    matchLabels:
      name: nfs-imedx3-imed-image-folder-pv
      owner: Nitichai
      version: "1.0"
      module: PV
      environment: Production
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nfs-imedx3-outlab-pvc
  labels:
    name: nfs-imedx3-outlab-pvc
    owner: Nitichai
    version: "1.0"
    module: PVC
    environment: Production
spec:
  accessModes:
    - ReadWriteMany
  storageClassName: ""
  resources:
    requests:
      storage: 10Gi
  selector:
    matchLabels:
      name: nfs-imedx3-outlab-pv
      owner: Nitichai
      version: "1.0"
      module: PV
      environment: Production
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nfs-imedx3-imed-form-pvc
  labels:
    name: nfs-imedx3-imed-form-pvc
    owner: Nitichai
    version: "1.0"
    module: PVC
    environment: Production
spec:
  accessModes:
    - ReadWriteMany
  storageClassName: ""
  resources:
    requests:
      storage: 10Gi
  selector:
    matchLabels:
      name: nfs-imedx3-imed-form-pv
      owner: Nitichai
      version: "1.0"
      module: PV
      environment: Production
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nfs-imedx3-conf-pvc
  labels:
    name: nfs-imedx3-conf-pvc
    owner: Nitichai
    version: "1.0"
    module: PVC
    environment: Production
spec:
  accessModes:
    - ReadWriteMany
  storageClassName: ""
  resources:
    requests:
      storage: 10Gi
  selector:
    matchLabels:
      name: nfs-imedx3-conf-pv
      owner: Nitichai
      version: "1.0"
      module: PV
      environment: Production
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nfs-imedx3-config-pvc
  labels:
    name: nfs-imedx3-config-pvc
    owner: Nitichai
    version: "1.0"
    module: PVC
    environment: Production
spec:
  accessModes:
    - ReadWriteMany
  storageClassName: ""
  resources:
    requests:
      storage: 10Gi
  selector:
    matchLabels:
      name: nfs-imedx3-config-pv
      owner: Nitichai
      version: "1.0"
      module: PV
      environment: Production
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nfs-imedx3-print-pvc
  labels:
    name: nfs-imedx3-print-pvc
    owner: Nitichai
    version: "1.0"
    module: PVC
    environment: Production
spec:
  accessModes:
    - ReadWriteMany
  storageClassName: ""
  resources:
    requests:
      storage: 10Gi
  selector:
    matchLabels:
      name: nfs-imedx3-print-pv
      owner: Nitichai
      version: "1.0"
      module: PV
      environment: Production
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: imedx3
  labels:
    name: imedx3
    owner: Nitichai
    version: "1.0"
    module: imedwebx
    environment: Production
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
    type: RollingUpdate
  selector:
    matchLabels:
      name: imedx3
      owner: Nitichai
      version: "1.0"
      module: imedwebx
      environment: Production
  template:
    metadata:
      labels:
        name: imedx3
        owner: Nitichai
        version: "1.0"
        module: imedwebx
        environment: Production
    spec:
      hostAliases:
      - ip: "192.168.110.109"
        hostnames:
        - "pgdata"
      - ip: "192.168.110.110"
        hostnames:
        - "pgslave"
      imagePullSecrets:
        - name: nitichai   
      containers:
        - name: imedx3
          image: registry.intermedisoft.com/imedxvch:1.0.0
          readinessProbe: 
            httpGet:
              path: /imed/index.jsp
              port: 8080
            initialDelaySeconds: 60
            periodSeconds: 1
            successThreshold: 1
            failureThreshold: 3  
            timeoutSeconds: 1
          livenessProbe: 
            httpGet:
              path: /imed/index.jsp
              port: 8080
            initialDelaySeconds: 60
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
            timeoutSeconds: 5  
          volumeMounts:
          - mountPath: /app/iMedX/standalone/deployments/imed-image-folder.war
            name: nfs-imedx3-imed-image-folder-pvc
          - mountPath: /app/iMedX/standalone/deployments/outlab.war
            name: nfs-imedx3-outlab-pvc
          - mountPath: /app/iMedX/standalone/deployments/imed-form.war
            name: nfs-imedx3-imed-form-pvc
          - mountPath: /app/iMedX/standalone/configuration
            name: nfs-imedx3-conf-pvc   
          - mountPath: /app/iMedX/bin
            name: nfs-imedx3-config-pvc
          - mountPath: /root/iMedConf
            name: nfs-imedx3-print-pvc
      volumes:
      - name: nfs-imedx3-imed-image-folder-pvc
        persistentVolumeClaim:
          claimName: nfs-imedx3-imed-image-folder-pvc  
      - name: nfs-imedx3-outlab-pvc
        persistentVolumeClaim:
          claimName: nfs-imedx3-outlab-pvc
      - name: nfs-imedx3-imed-form-pvc
        persistentVolumeClaim:
          claimName: nfs-imedx3-imed-form-pvc  
      - name: nfs-imedx3-print-pvc
        persistentVolumeClaim:
          claimName: nfs-imedx3-print-pvc
      - name: nfs-imedx3-conf-pvc
        persistentVolumeClaim:
          claimName: nfs-imedx3-conf-pvc
      - name: nfs-imedx3-config-pvc
        persistentVolumeClaim:
          claimName: nfs-imedx3-config-pvc
#      nodeSelector:
#        node: ku02
